## GtkPlotData GtkPlotData |

## Functions

GtkWidget * | gtk_plot_data_new ()
GtkWidget * | gtk_plot_data_new_function ()
void | gtk_plot_data_construct_function ()
GtkWidget * | gtk_plot_data_new_iterator ()
void | gtk_plot_data_construct_iterator ()
void | gtk_plot_data_clone ()
void | gtk_plot_data_add_dimension ()
void | gtk_plot_data_remove_dimension ()
GtkPlotArray * | gtk_plot_data_find_dimension ()
guint | gtk_plot_data_required_dimensions ()
guint | gtk_plot_data_independent_dimensions ()
void | gtk_plot_data_paint ()
void | gtk_plot_data_update ()
void | gtk_plot_data_draw_points ()
void | gtk_plot_data_draw_symbol ()
GtkPlotArray * | gtk_plot_data_dimension_set_points ()
void | gtk_plot_data_dimension_set_array ()
GtkPlotArray * | gtk_plot_data_dimension_get_array ()
void | gtk_plot_data_dimension_set_scale ()
gdouble | gtk_plot_data_dimension_get_scale ()
void | gtk_plot_data_set_points ()
void | gtk_plot_data_get_points ()
void | gtk_plot_data_get_point ()
GtkPlotArray * | gtk_plot_data_set_x ()
GtkPlotArray * | gtk_plot_data_set_y ()
GtkPlotArray * | gtk_plot_data_set_z ()
GtkPlotArray * | gtk_plot_data_set_a ()
GtkPlotArray * | gtk_plot_data_set_dx ()
GtkPlotArray * | gtk_plot_data_set_dy ()
GtkPlotArray * | gtk_plot_data_set_dz ()
GtkPlotArray * | gtk_plot_data_set_da ()
void | gtk_plot_data_set_a_scale ()
GtkPlotArray * | gtk_plot_data_set_labels ()
gdouble * | gtk_plot_data_get_x ()
gdouble * | gtk_plot_data_get_y ()
gdouble * | gtk_plot_data_get_z ()
gdouble * | gtk_plot_data_get_a ()
gdouble * | gtk_plot_data_get_dx ()
gdouble * | gtk_plot_data_get_dy ()
gdouble * | gtk_plot_data_get_dz ()
gdouble * | gtk_plot_data_get_da ()
gdouble | gtk_plot_data_get_a_scale ()
gchar ** | gtk_plot_data_get_labels ()
void | gtk_plot_data_show_labels ()
void | gtk_plot_data_labels_set_attributes ()
void | gtk_plot_data_set_numpoints ()
gint | gtk_plot_data_get_numpoints ()
void | gtk_plot_data_set_symbol ()
void | gtk_plot_data_get_symbol ()
void | gtk_plot_data_set_connector ()
gint | gtk_plot_data_get_connector ()
void | gtk_plot_data_set_line_attributes ()
void | gtk_plot_data_get_line_attributes ()
void | gtk_plot_data_set_x_attributes ()
void | gtk_plot_data_set_y_attributes ()
void | gtk_plot_data_set_z_attributes ()
void | gtk_plot_data_show_xerrbars ()
void | gtk_plot_data_show_yerrbars ()
void | gtk_plot_data_show_zerrbars ()
void | gtk_plot_data_hide_xerrbars ()
void | gtk_plot_data_hide_yerrbars ()
void | gtk_plot_data_hide_zerrbars ()
void | gtk_plot_data_fill_area ()
gboolean | gtk_plot_data_area_is_filled ()
void | gtk_plot_data_show_legend ()
void | gtk_plot_data_hide_legend ()
void | gtk_plot_data_set_legend ()
void | gtk_plot_data_set_legend_precision ()
gint | gtk_plot_data_get_legend_precision ()
void | gtk_plot_data_set_name ()
GtkPlotAxis * | gtk_plot_data_gradient ()
void | gtk_plot_data_gradient_set_title ()
gboolean | gtk_plot_data_gradient_show_lt_gt ()
GtkAllocation | gtk_plot_data_get_gradient_allocation ()
void | gtk_plot_data_move_gradient ()
void | gtk_plot_data_set_gradient_size ()
void | gtk_plot_data_set_gradient_show_lt_gt ()
void | gtk_plot_data_reset_gradient ()
void | gtk_plot_data_reset_gradient_colors ()
void | gtk_plot_data_gradient_use_custom_colors ()
gboolean | gtk_plot_data_gradient_custom_colors ()
void | gtk_plot_data_set_gradient_mask ()
gint | gtk_plot_data_get_gradient_mask ()
void | gtk_plot_data_gradient_set_visible ()
gboolean | gtk_plot_data_gradient_visible ()
void | gtk_plot_data_gradient_autoscale_a ()
void | gtk_plot_data_gradient_autoscale_da ()
void | gtk_plot_data_gradient_autoscale_z ()
void | gtk_plot_data_set_gradient_colors ()
void | gtk_plot_data_get_gradient_colors ()
void | gtk_plot_data_set_gradient_nth_color ()
const GdkColor * | gtk_plot_data_get_gradient_nth_color ()
void | gtk_plot_data_set_gradient_outer_colors ()
void | gtk_plot_data_get_gradient_outer_colors ()
void | gtk_plot_data_set_gradient ()
void | gtk_plot_data_get_gradient ()
void | gtk_plot_data_get_gradient_level ()
void | gtk_plot_data_gradient_set_style ()
void | gtk_plot_data_gradient_set_scale ()
void | gtk_plot_data_set_link ()
gpointer | gtk_plot_data_get_link ()
void | gtk_plot_data_remove_link ()
GtkPlotMarker * | gtk_plot_data_add_marker ()
gboolean | gtk_plot_data_remove_marker ()
void | gtk_plot_data_remove_markers ()
void | gtk_plot_data_show_markers ()
gboolean | gtk_plot_data_markers_visible ()

## Properties

GtkPlotAxis * | bottom-axis | Read
gpointer | color-gt-max | Read / Write
gpointer | color-lt-min | Read / Write
gpointer | color-max | Read / Write
gpointer | color-min | Read / Write
gboolean | fill-area | Read / Write
gboolean | gradient-break | Read / Write
gdouble | gradient-break-max | Read / Write
gdouble | gradient-break-min | Read / Write
gint | gradient-break-nminor | Read / Write
gdouble | gradient-break-position | Read / Write
gint | gradient-break-scale | Read / Write
gdouble | gradient-break-step | Read / Write
gboolean | gradient-custom | Read / Write
gint | gradient-mask | Read / Write
gdouble | gradient-max | Read / Write
gdouble | gradient-min | Read / Write
gint | gradient-nmajor | Read / Write
gint | gradient-nminor | Read / Write
gint | gradient-scale | Read / Write
gboolean | gradient-show-lt-gt | Read / Write
gdouble | gradient-step | Read / Write
gboolean | is-function | Read / Write
gboolean | is-iterator | Read / Write
gint | iterator-mask | Read / Write
gint | labels-angle | Read / Write
gpointer | labels-bg-color | Read / Write
gint | labels-border | Read / Write
gint | labels-border-shadow | Read / Write
gint | labels-border-space | Read / Write
gint | labels-border-width | Read / Write
gpointer | labels-fg-color | Read / Write
gchar * | labels-font | Read / Write
gint | labels-offset | Read / Write
gint | labels-size | Read / Write
gchar * | labels-text | Read / Write
gboolean | labels-transparent | Read / Write
gchar * | legend | Read / Write
gint | legends-precision | Read / Write
gint | legends-style | Read / Write
gint | line-cap | Read / Write
gpointer | line-color | Read / Write
gint | line-connector | Read / Write
gint | line-join | Read / Write
gint | line-style | Read / Write
gdouble | line-width | Read / Write
gchar * | name | Read / Write
gint | num-points | Read / Write
gboolean | show-gradient | Read / Write
gboolean | show-labels | Read / Write
gboolean | show-legends | Read / Write
gboolean | show-xerrbars | Read / Write
gboolean | show-yerrbars | Read / Write
gboolean | show-zerrbars | Read / Write
gpointer | symbol-border-color | Read / Write
gdouble | symbol-border-width | Read / Write
gpointer | symbol-color | Read / Write
gint | symbol-size | Read / Write
gint | symbol-style | Read / Write
gint | symbol-type | Read / Write
gint | xerrbar-caps | Read / Write
gint | xerrbar-width | Read / Write
gint | xline-cap | Read / Write
gpointer | xline-color | Read / Write
gint | xline-join | Read / Write
gint | xline-style | Read / Write
gdouble | xline-width | Read / Write
gdouble | xstep | Read / Write
gint | yerrbar-caps | Read / Write
gint | yerrbar-width | Read / Write
gint | yline-cap | Read / Write
gpointer | yline-color | Read / Write
gint | yline-join | Read / Write
gint | yline-style | Read / Write
gdouble | yline-width | Read / Write
gdouble | ystep | Read / Write
gint | zerrbar-caps | Read / Write
gint | zerrbar-width | Read / Write
gint | zline-cap | Read / Write
gpointer | zline-color | Read / Write
gint | zline-join | Read / Write
gint | zline-style | Read / Write
gdouble | zline-width | Read / Write
gdouble | zstep | Read / Write

## Signals

gboolean | add-to-plot | Run Last
void | draw-data | Run First
void | gradient-changed | Run Last
void | gradient-colors-changed | Run Last
void | update | Run Last

## Types and Values

struct | GtkPlotData

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkPlotData
                        ├── GtkPlotBar
                        ├── GtkPlotBox
                        ├── GtkPlotBubble
                        ├── GtkPlotCandle
                        ├── GtkPlotSurface
                        ├── GtkPlotFlux
                        ├── GtkPlotPixmap
                        ╰── GtkPlotSegment

## Implemented Interfaces

GtkPlotData implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtkextra.h>

## Description

A GtkPlotData object contains multiple dimensions of data for GtkPlots. Each dimension has a name, a label, a description and an array of typed values.

Each GtkPlot can display multiple GtkPlotData sets.

Predefined dimension names are: "x" for X values, "y" for Y values, "z" for Z values, "a" for Symbol size, "dx" for X error, "dy" for Y error, "dz" for Z error, "da" for amplitude values, "labels" for value labels

## Functions

### gtk_plot_data_new ()

    GtkWidget *
    gtk_plot_data_new (void);

### gtk_plot_data_new_function ()

    GtkWidget *
    gtk_plot_data_new_function (GtkPlotFunc function);

#### Parameters

function | a GtkPlotFunc. | [scope async]

#### Returns

the GtkPlotData Widget.

[transfer none]

### gtk_plot_data_construct_function ()

    void
    gtk_plot_data_construct_function (GtkPlotData *data,
                                      GtkPlotFunc function);

#### Parameters

data | a GtkPlotData widget. |
function | a GtkPlotFunc. | [scope notified]

### gtk_plot_data_new_iterator ()

    GtkWidget *
    gtk_plot_data_new_iterator (GtkPlotIterator iterator,
                                gint npoints,
                                guint16 mask);

#### Parameters

iterator | a GtkPlotIterator. | [scope async]

#### Returns

(transfer full) a new GtkPlotData.

### gtk_plot_data_construct_iterator ()

    void
    gtk_plot_data_construct_iterator (GtkPlotData *data,
                                      GtkPlotIterator iterator,
                                      gint npoints,
                                      guint16 mask);

#### Parameters

data | a GtkPlotData widget. |
iterator | a GtkPlotIterator. | [scope async]

### gtk_plot_data_clone ()

    void
    gtk_plot_data_clone (GtkPlotData *data,
                         GtkPlotData *copy);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_add_dimension ()

    void
    gtk_plot_data_add_dimension (GtkPlotData *data,
                                 const gchar *name,
                                 const gchar *label,
                                 const gchar *desc,
                                 GType value_type,
                                 gboolean required,
                                 gboolean independent);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_remove_dimension ()

    void
    gtk_plot_data_remove_dimension (GtkPlotData *data,
                                    const gchar *name);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_find_dimension ()

    GtkPlotArray *
    gtk_plot_data_find_dimension (GtkPlotData *data,
                                  const gchar *name);

#### Parameters

data | a GtkPlotData widget. |
name | dimension name to be searched for |

#### Returns

(transfer none) the GtkPlotArray with the given name

### gtk_plot_data_required_dimensions ()

    guint
    gtk_plot_data_required_dimensions (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_independent_dimensions ()

    guint
    gtk_plot_data_independent_dimensions (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_paint ()

    void
    gtk_plot_data_paint (GtkPlotData *data);

### gtk_plot_data_update ()

    void
    gtk_plot_data_update (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_draw_points ()

    void
    gtk_plot_data_draw_points (GtkPlotData *data,
                               gint npoints);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_draw_symbol ()

    void
    gtk_plot_data_draw_symbol (GtkPlotData *data,
                               gdouble px,
                               gdouble py);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_dimension_set_points ()

    GtkPlotArray *
    gtk_plot_data_dimension_set_points (GtkPlotData *data,
                                        const gchar *name,
                                        gdouble *points);

#### Parameters

data | a GtkPlotData widget. |
name | the dimension name affected |

#### Returns

(transfer none) the affected GtkPlotArray

### gtk_plot_data_dimension_set_array ()

    void
    gtk_plot_data_dimension_set_array (GtkPlotData *data,
                                       const gchar *name,
                                       GtkPlotArray *array);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_dimension_get_array ()

    GtkPlotArray *
    gtk_plot_data_dimension_get_array (GtkPlotData *data,
                                       const gchar *name);

#### Parameters

data | a GtkPlotData widget. |
name | the dimension name to be searched |

#### Returns

(transfer none) the GtkPlotArray with the given name

### gtk_plot_data_dimension_set_scale ()

    void
    gtk_plot_data_dimension_set_scale (GtkPlotData *data,
                                       const gchar *name,
                                       gdouble scale);

### gtk_plot_data_dimension_get_scale ()

    gdouble
    gtk_plot_data_dimension_get_scale (GtkPlotData *data,
                                       const gchar *name);

### gtk_plot_data_set_points ()

    void
    gtk_plot_data_set_points (GtkPlotData *data,
                              gdouble *x,
                              gdouble *y,
                              gdouble *dx,
                              gdouble *dy,
                              gint num_points);

#### Parameters

data | a GtkPlotData widget. |
x | (transfer none) array of gdouble x-values |
y | (transfer none) array of gdouble y-values |
dx | . | [transfer none]
dy | . | [transfer none]
num_points | number of points = length of arrays |

### gtk_plot_data_get_points ()

    void
    gtk_plot_data_get_points (GtkPlotData *dataset,
                              gdouble **x,
                              gdouble **y,
                              gdouble **dx,
                              gdouble **dy,
                              gint *num_points);

Retrieves pointers to internal plot data. Beware: The plot data belongs to the caller of `gtk_plot_data_set_points()`

#### Parameters

dataset | a GtkPlotData widget. |
x | (transfer none) where to store result pointer |
y | (transfer none) where to store result pointer |
dx | (transfer none) where to store result pointer |
dy | (transfer none) where to store result pointer |
num_points | (transfer none) where to store number of points |

### gtk_plot_data_get_point ()

    void
    gtk_plot_data_get_point (GtkPlotData *dataset,
                             gint n,
                             gdouble *x,
                             gdouble *y,
                             gdouble *z,
                             gdouble *a,
                             gdouble *dx,
                             gdouble *dy,
                             gdouble *dz,
                             gdouble *da,
                             gchar **label,
                             gboolean *error);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_set_x ()

    GtkPlotArray *
    gtk_plot_data_set_x (GtkPlotData *data,
                         gdouble *x);

Set pointer to plot data (x-values). The plot data is not duplicated. It belongs to the caller of `gtk_plot_data_set_x()`.

#### Parameters

data | a GtkPlotData widget. |
x | (transfer none) pointer to plot data |

#### Returns

(transfer none) the affected GtkPlotArray

### gtk_plot_data_set_y ()

    GtkPlotArray *
    gtk_plot_data_set_y (GtkPlotData *data,
                         gdouble *y);

Set pointer to plot data (y-values). The plot data is not duplicated. It belongs to the caller of `gtk_plot_data_set_y()`.

#### Parameters

data | a GtkPlotData widget. |
y | (transfer none) pointer to plot data |

#### Returns

(transfer none) the affected GtkPlotArray

### gtk_plot_data_set_z ()

    GtkPlotArray *
    gtk_plot_data_set_z (GtkPlotData *data,
                         gdouble *z);

Set pointer to plot data (z-values). The plot data is not duplicated. It belongs to the caller of `gtk_plot_data_set_z()`.

#### Parameters

data | a GtkPlotData widget. |
z | (transfer none) pointer to plot data |

#### Returns

(transfer none) the affected GtkPlotArray

### gtk_plot_data_set_a ()

    GtkPlotArray *
    gtk_plot_data_set_a (GtkPlotData *data,
                         gdouble *a);

Set pointer to plot data (Symbol size). The plot data is not duplicated. It belongs to the caller of `gtk_plot_data_set_a()`.

#### Parameters

data | a GtkPlotData widget. |
a | (transfer none) pointer to plot data |

#### Returns

(transfer none) the affected GtkPlotArray

### gtk_plot_data_set_dx ()

    GtkPlotArray *
    gtk_plot_data_set_dx (GtkPlotData *data,
                          gdouble *dx);

Set pointer to plot data (x-error). The plot data is not duplicated. It belongs to the caller of `gtk_plot_data_set_dx()`.

#### Parameters

data | a GtkPlotData widget. |
dx | (transfer none) pointer to plot data |

#### Returns

(transfer none) the affected GtkPlotArray

### gtk_plot_data_set_dy ()

    GtkPlotArray *
    gtk_plot_data_set_dy (GtkPlotData *data,
                          gdouble *dy);

Set pointer to plot data (y-error). The plot data is not duplicated. It belongs to the caller of `gtk_plot_data_set_dy()`.

#### Parameters

data | a GtkPlotData widget. |
dy | (transfer none) pointer to plot data |

#### Returns

(transfer none) the affected GtkPlotArray

### gtk_plot_data_set_dz ()

    GtkPlotArray *
    gtk_plot_data_set_dz (GtkPlotData *data,
                          gdouble *dz);

Set pointer to plot data (z-error). The plot data is not duplicated. It belongs to the caller of `gtk_plot_data_set_dz()`.

#### Parameters

data | a GtkPlotData widget. |
dz | (transfer none) pointer to plot data |

#### Returns

(transfer none) the affected GtkPlotArray

### gtk_plot_data_set_da ()

    GtkPlotArray *
    gtk_plot_data_set_da (GtkPlotData *data,
                          gdouble *da);

Set pointer to plot data (Amplitude). The plot data is not duplicated. It belongs to the caller of `gtk_plot_data_set_da()`.

#### Parameters

data | a GtkPlotData widget. |
da | (transfer none) pointer to plot data |

#### Returns

(transfer none) the affected GtkPlotArray

### gtk_plot_data_set_a_scale ()

    void
    gtk_plot_data_set_a_scale (GtkPlotData *data,
                               gdouble a_scale);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_labels ()

    GtkPlotArray *
    gtk_plot_data_set_labels (GtkPlotData *data,
                              gchar **labels);

#### Parameters

data | a GtkPlotData widget. |
labels | labels to be set |

#### Returns

(transfer none) the affected GtkPlotArray

### gtk_plot_data_get_x ()

    gdouble *
    gtk_plot_data_get_x (GtkPlotData *dataset,
                         gint *num_points);

Retrieves a pointer to internal plot data. The plot data belongs to the caller of of `gtk_plot_data_set_x()`.

#### Parameters

dataset | a GtkPlotData widget. |
num_points | place to store number of points |

#### Returns

(transfer none) pointer to internal plot data

### gtk_plot_data_get_y ()

    gdouble *
    gtk_plot_data_get_y (GtkPlotData *dataset,
                         gint *num_points);

Retrieves a pointer to internal plot data. The plot data belongs to the caller of of `gtk_plot_data_set_x()`.

#### Parameters

dataset | a GtkPlotData widget. |
num_points | place to store number of points |

#### Returns

(transfer none) pointer to internal plot data

### gtk_plot_data_get_z ()

    gdouble *
    gtk_plot_data_get_z (GtkPlotData *dataset,
                         gint *num_points);

Retrieves a pointer to internal plot data. The plot data belongs to the caller of of `gtk_plot_data_set_x()`.

#### Parameters

dataset | a GtkPlotData widget. |
num_points | place to store number of points |

#### Returns

(transfer none) pointer to internal plot data

### gtk_plot_data_get_a ()

    gdouble *
    gtk_plot_data_get_a (GtkPlotData *dataset,
                         gint *num_points);

Retrieves a pointer to internal plot data. The plot data belongs to the caller of of `gtk_plot_data_set_x()`.

#### Parameters

dataset | a GtkPlotData widget. |
num_points | place to store number of points |

#### Returns

(transfer none) pointer to internal plot data

### gtk_plot_data_get_dx ()

    gdouble *
    gtk_plot_data_get_dx (GtkPlotData *dataset,
                          gint *num_points);

Retrieves a pointer to internal plot data. The plot data belongs to the caller of of `gtk_plot_data_set_x()`.

#### Parameters

dataset | a GtkPlotData widget. |
num_points | place to store number of points |

#### Returns

(transfer none) pointer to internal plot data

### gtk_plot_data_get_dy ()

    gdouble *
    gtk_plot_data_get_dy (GtkPlotData *dataset,
                          gint *num_points);

Retrieves a pointer to internal plot data. The plot data belongs to the caller of of `gtk_plot_data_set_x()`.

#### Parameters

dataset | a GtkPlotData widget. |
num_points | place to store number of points |

#### Returns

(transfer none) pointer to internal plot data

### gtk_plot_data_get_dz ()

    gdouble *
    gtk_plot_data_get_dz (GtkPlotData *dataset,
                          gint *num_points);

Retrieves a pointer to internal plot data. The plot data belongs to the caller of of `gtk_plot_data_set_x()`.

#### Parameters

dataset | a GtkPlotData widget. |
num_points | place to store number of points |

#### Returns

(transfer none) pointer to internal plot data

### gtk_plot_data_get_da ()

    gdouble *
    gtk_plot_data_get_da (GtkPlotData *dataset,
                          gint *num_points);

Retrieves a pointer to internal plot data. The plot data belongs to the caller of of `gtk_plot_data_set_x()`.

#### Parameters

dataset | a GtkPlotData widget. |
num_points | place to store number of points |

#### Returns

(transfer none) pointer to internal plot data

### gtk_plot_data_get_a_scale ()

    gdouble
    gtk_plot_data_get_a_scale (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_get_labels ()

    gchar **
    gtk_plot_data_get_labels (GtkPlotData *dataset,
                              gboolean *show_labels);

#### Parameters

dataset | a GtkPlotData widget. |
show_labels | current setting. | [out]

#### Returns

(transfer none) the label string array

### gtk_plot_data_show_labels ()

    void
    gtk_plot_data_show_labels (GtkPlotData *dataset,
                               gboolean show_labels);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_labels_set_attributes ()

    void
    gtk_plot_data_labels_set_attributes (GtkPlotData *data,
                                         const gchar *font,
                                         gint height,
                                         gint angle,
                                         const GdkColor *fg,
                                         const GdkColor *bg);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_numpoints ()

    void
    gtk_plot_data_set_numpoints (GtkPlotData *dataset,
                                 gint num_points);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_get_numpoints ()

    gint
    gtk_plot_data_get_numpoints (GtkPlotData *data);

### gtk_plot_data_set_symbol ()

    void
    gtk_plot_data_set_symbol (GtkPlotData *dataset,
                              GtkPlotSymbolType type,
                              GtkPlotSymbolStyle style,
                              gint size,
                              gfloat line_width,
                              const GdkColor *color,
                              const GdkColor *border_color);

#### Parameters

dataset | a GtkPlotData widget. |
type | symbol type, see GtkPlotSymbolType |
style | symbol style, see GtkPlotSymbolStyle |
size | symbol size |
line_width | symbol line width |
color | fill color |
border_color | border color |

### gtk_plot_data_get_symbol ()

    void
    gtk_plot_data_get_symbol (GtkPlotData *dataset,
                              GtkPlotSymbolType *type,
                              GtkPlotSymbolStyle *style,
                              gint *size,
                              gfloat *line_width,
                              GdkColor *color,
                              GdkColor *border_color);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_set_connector ()

    void
    gtk_plot_data_set_connector (GtkPlotData *dataset,
                                 GtkPlotConnector connector);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_get_connector ()

    gint
    gtk_plot_data_get_connector (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_set_line_attributes ()

    void
    gtk_plot_data_set_line_attributes (GtkPlotData *dataset,
                                       GtkPlotLineStyle style,
                                       GdkCapStyle cap_style,
                                       GdkJoinStyle join_style,
                                       gfloat width,
                                       const GdkColor *color);

#### Parameters

dataset | a GtkPlotData widget. |
style | a GtkPlotLineStyle |
cap_style | a GdkCapStyle |
join_style | a GdkJoinStyle |
width | line width |
color | line color |

### gtk_plot_data_get_line_attributes ()

    void
    gtk_plot_data_get_line_attributes (GtkPlotData *dataset,
                                       GtkPlotLineStyle *style,
                                       GdkCapStyle *cap_style,
                                       GdkJoinStyle *join_style,
                                       gfloat *width,
                                       GdkColor *color);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_set_x_attributes ()

    void
    gtk_plot_data_set_x_attributes (GtkPlotData *dataset,
                                    GtkPlotLineStyle style,
                                    GdkCapStyle cap_style,
                                    GdkJoinStyle join_style,
                                    gfloat width,
                                    const GdkColor *color);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_set_y_attributes ()

    void
    gtk_plot_data_set_y_attributes (GtkPlotData *dataset,
                                    GtkPlotLineStyle style,
                                    GdkCapStyle cap_style,
                                    GdkJoinStyle join_style,
                                    gfloat width,
                                    const GdkColor *color);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_set_z_attributes ()

    void
    gtk_plot_data_set_z_attributes (GtkPlotData *dataset,
                                    GtkPlotLineStyle style,
                                    GdkCapStyle cap_style,
                                    GdkJoinStyle join_style,
                                    gfloat width,
                                    const GdkColor *color);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_show_xerrbars ()

    void
    gtk_plot_data_show_xerrbars (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_show_yerrbars ()

    void
    gtk_plot_data_show_yerrbars (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_show_zerrbars ()

    void
    gtk_plot_data_show_zerrbars (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_hide_xerrbars ()

    void
    gtk_plot_data_hide_xerrbars (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_hide_yerrbars ()

    void
    gtk_plot_data_hide_yerrbars (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_hide_zerrbars ()

    void
    gtk_plot_data_hide_zerrbars (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_fill_area ()

    void
    gtk_plot_data_fill_area (GtkPlotData *dataset,
                             gboolean fill);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_area_is_filled ()

    gboolean
    gtk_plot_data_area_is_filled (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_show_legend ()

    void
    gtk_plot_data_show_legend (GtkPlotData *data);

### gtk_plot_data_hide_legend ()

    void
    gtk_plot_data_hide_legend (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_set_legend ()

    void
    gtk_plot_data_set_legend (GtkPlotData *dataset,
                              const gchar *legend);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_set_legend_precision ()

    void
    gtk_plot_data_set_legend_precision (GtkPlotData *dataset,
                                        gint precision);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_get_legend_precision ()

    gint
    gtk_plot_data_get_legend_precision (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_name ()

    void
    gtk_plot_data_set_name (GtkPlotData *dataset,
                            const gchar *name);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_gradient ()

    GtkPlotAxis *
    gtk_plot_data_gradient (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

#### Returns

(transfer none) the gradient GtkPlotAxis

### gtk_plot_data_gradient_set_title ()

    void
    gtk_plot_data_gradient_set_title (GtkPlotData *data,
                                      gchar *title);

#### Parameters

data | a GtkPlotData widget. |
title | title that will be displayed in the gradient box |

### gtk_plot_data_gradient_show_lt_gt ()

    gboolean
    gtk_plot_data_gradient_show_lt_gt (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_get_gradient_allocation ()

    GtkAllocation
    gtk_plot_data_get_gradient_allocation (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget |

#### Returns

(transfer full) the gradient GtkAllocation

### gtk_plot_data_move_gradient ()

    void
    gtk_plot_data_move_gradient (GtkPlotData *data,
                                 gdouble x,
                                 gdouble y);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_gradient_size ()

    void
    gtk_plot_data_set_gradient_size (GtkPlotData *data,
                                     gint size);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_gradient_show_lt_gt ()

    void
    gtk_plot_data_set_gradient_show_lt_gt (GtkPlotData *data,
                                           gboolean show);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_reset_gradient ()

    void
    gtk_plot_data_reset_gradient (GtkPlotData *data);

### gtk_plot_data_reset_gradient_colors ()

    void
    gtk_plot_data_reset_gradient_colors (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_gradient_use_custom_colors ()

    void
    gtk_plot_data_gradient_use_custom_colors
                                   (GtkPlotData *data,
                                    gboolean custom);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_gradient_custom_colors ()

    gboolean
    gtk_plot_data_gradient_custom_colors (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_gradient_mask ()

    void
    gtk_plot_data_set_gradient_mask (GtkPlotData *data,
                                     gint mask);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_get_gradient_mask ()

    gint
    gtk_plot_data_get_gradient_mask (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_gradient_set_visible ()

    void
    gtk_plot_data_gradient_set_visible (GtkPlotData *data,
                                        gboolean visible);

### gtk_plot_data_gradient_visible ()

    gboolean
    gtk_plot_data_gradient_visible (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_gradient_autoscale_a ()

    void
    gtk_plot_data_gradient_autoscale_a (GtkPlotData *data);

### gtk_plot_data_gradient_autoscale_da ()

    void
    gtk_plot_data_gradient_autoscale_da (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_gradient_autoscale_z ()

    void
    gtk_plot_data_gradient_autoscale_z (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_gradient_colors ()

    void
    gtk_plot_data_set_gradient_colors (GtkPlotData *data,
                                       const GdkColor *min,
                                       const GdkColor *max);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_get_gradient_colors ()

    void
    gtk_plot_data_get_gradient_colors (GtkPlotData *data,
                                       GdkColor *min,
                                       GdkColor *max);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_gradient_nth_color ()

    void
    gtk_plot_data_set_gradient_nth_color (GtkPlotData *data,
                                          guint level,
                                          GdkColor *color);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_get_gradient_nth_color ()

    const GdkColor *
    gtk_plot_data_get_gradient_nth_color (GtkPlotData *data,
                                          guint level);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_gradient_outer_colors ()

    void
    gtk_plot_data_set_gradient_outer_colors
                                   (GtkPlotData *data,
                                    const GdkColor *min,
                                    const GdkColor *max);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_get_gradient_outer_colors ()

    void
    gtk_plot_data_get_gradient_outer_colors
                                   (GtkPlotData *data,
                                    GdkColor *min,
                                    GdkColor *max);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_gradient ()

    void
    gtk_plot_data_set_gradient (GtkPlotData *data,
                                gdouble min,
                                gdouble max,
                                gint nlevels,
                                gint nsublevels);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_get_gradient ()

    void
    gtk_plot_data_get_gradient (GtkPlotData *data,
                                gdouble *min,
                                gdouble *max,
                                gint *nlevels,
                                gint *nsublevels);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_get_gradient_level ()

    void
    gtk_plot_data_get_gradient_level (GtkPlotData *data,
                                      gdouble level,
                                      GdkColor *color);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_gradient_set_style ()

    void
    gtk_plot_data_gradient_set_style (GtkPlotData *data,
                                      GtkPlotLabelStyle style,
                                      gint precision);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_gradient_set_scale ()

    void
    gtk_plot_data_gradient_set_scale (GtkPlotData *data,
                                      GtkPlotScale scale);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_set_link ()

    void
    gtk_plot_data_set_link (GtkPlotData *dataset,
                            gpointer link);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_get_link ()

    gpointer
    gtk_plot_data_get_link (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

#### Returns

(transfer none) link pointer

### gtk_plot_data_remove_link ()

    void
    gtk_plot_data_remove_link (GtkPlotData *dataset);

#### Parameters

dataset | a GtkPlotData widget. |

### gtk_plot_data_add_marker ()

    GtkPlotMarker *
    gtk_plot_data_add_marker (GtkPlotData *data,
                              guint point);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_remove_marker ()

    gboolean
    gtk_plot_data_remove_marker (GtkPlotData *data,
                                 GtkPlotMarker *marker);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_remove_markers ()

    void
    gtk_plot_data_remove_markers (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_show_markers ()

    void
    gtk_plot_data_show_markers (GtkPlotData *data,
                                gboolean show);

#### Parameters

data | a GtkPlotData widget. |

### gtk_plot_data_markers_visible ()

    gboolean
    gtk_plot_data_markers_visible (GtkPlotData *data);

#### Parameters

data | a GtkPlotData widget. |

## Types and Values

### struct GtkPlotData

    struct GtkPlotData;

The GtkPlotData struct contains only private data. It should only be accessed through the functions described below.

## Property Details

### The `“bottom-axis”` property

      “bottom-axis”              GtkPlotAxis *

Flags: Read

### The `“color-gt-max”` property

      “color-gt-max”             gpointer

Flags: Read / Write

### The `“color-lt-min”` property

      “color-lt-min”             gpointer

Flags: Read / Write

### The `“color-max”` property

      “color-max”                gpointer

Flags: Read / Write

### The `“color-min”` property

      “color-min”                gpointer

Flags: Read / Write

### The `“fill-area”` property

      “fill-area”                gboolean

Flags: Read / Write

Default value: FALSE

### The `“gradient-break”` property

      “gradient-break”           gboolean

Flags: Read / Write

Default value: FALSE

### The `“gradient-break-max”` property

      “gradient-break-max”       gdouble

Flags: Read / Write

Default value: 0

### The `“gradient-break-min”` property

      “gradient-break-min”       gdouble

Flags: Read / Write

Default value: 0

### The `“gradient-break-nminor”` property

      “gradient-break-nminor”    gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“gradient-break-position”` property

      “gradient-break-position”  gdouble

Flags: Read / Write

Allowed values: [0,1]

Default value: 0

### The `“gradient-break-scale”` property

      “gradient-break-scale”     gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“gradient-break-step”` property

      “gradient-break-step”      gdouble

Flags: Read / Write

Default value: 0

### The `“gradient-custom”` property

      “gradient-custom”          gboolean

Flags: Read / Write

Default value: FALSE

### The `“gradient-mask”` property

      “gradient-mask”            gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“gradient-max”` property

      “gradient-max”             gdouble

Flags: Read / Write

Default value: 0

### The `“gradient-min”` property

      “gradient-min”             gdouble

Flags: Read / Write

Default value: 0

### The `“gradient-nmajor”` property

      “gradient-nmajor”          gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“gradient-nminor”` property

      “gradient-nminor”          gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“gradient-scale”` property

      “gradient-scale”           gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“gradient-show-lt-gt”` property

      “gradient-show-lt-gt”      gboolean

Flags: Read / Write

Default value: TRUE

### The `“gradient-step”` property

      “gradient-step”            gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“is-function”` property

      “is-function”              gboolean

Flags: Read / Write

Default value: FALSE

### The `“is-iterator”` property

      “is-iterator”              gboolean

Flags: Read / Write

Default value: FALSE

### The `“iterator-mask”` property

      “iterator-mask”            gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-angle”` property

      “labels-angle”             gint

Flags: Read / Write

Allowed values: [0,270]

Default value: 0

### The `“labels-bg-color”` property

      “labels-bg-color”          gpointer

Flags: Read / Write

### The `“labels-border”` property

      “labels-border”            gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-border-shadow”` property

      “labels-border-shadow”     gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-border-space”` property

      “labels-border-space”      gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-border-width”` property

      “labels-border-width”      gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-fg-color”` property

      “labels-fg-color”          gpointer

Flags: Read / Write

### The `“labels-font”` property

      “labels-font”              gchar *

Flags: Read / Write

Default value: NULL

### The `“labels-offset”` property

      “labels-offset”            gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-size”` property

      “labels-size”              gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“labels-text”` property

      “labels-text”              gchar *

Flags: Read / Write

Default value: NULL

### The `“labels-transparent”` property

      “labels-transparent”       gboolean

Flags: Read / Write

Default value: TRUE

### The `“legend”` property

      “legend”                   gchar *

Flags: Read / Write

Default value: NULL

### The `“legends-precision”` property

      “legends-precision”        gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“legends-style”` property

      “legends-style”            gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“line-cap”` property

      “line-cap”                 gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“line-color”` property

      “line-color”               gpointer

Flags: Read / Write

### The `“line-connector”` property

      “line-connector”           gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“line-join”` property

      “line-join”                gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“line-style”` property

      “line-style”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“line-width”` property

      “line-width”               gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“name”` property

      “name”                     gchar *

Flags: Read / Write

Default value: NULL

### The `“num-points”` property

      “num-points”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“show-gradient”` property

      “show-gradient”            gboolean

Flags: Read / Write

Default value: TRUE

### The `“show-labels”` property

      “show-labels”              gboolean

Flags: Read / Write

Default value: TRUE

### The `“show-legends”` property

      “show-legends”             gboolean

Flags: Read / Write

Default value: TRUE

### The `“show-xerrbars”` property

      “show-xerrbars”            gboolean

Flags: Read / Write

Default value: FALSE

### The `“show-yerrbars”` property

      “show-yerrbars”            gboolean

Flags: Read / Write

Default value: FALSE

### The `“show-zerrbars”` property

      “show-zerrbars”            gboolean

Flags: Read / Write

Default value: FALSE

### The `“symbol-border-color”` property

      “symbol-border-color”      gpointer

Flags: Read / Write

### The `“symbol-border-width”` property

      “symbol-border-width”      gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“symbol-color”` property

      “symbol-color”             gpointer

Flags: Read / Write

### The `“symbol-size”` property

      “symbol-size”              gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“symbol-style”` property

      “symbol-style”             gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“symbol-type”` property

      “symbol-type”              gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“xerrbar-caps”` property

      “xerrbar-caps”             gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“xerrbar-width”` property

      “xerrbar-width”            gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“xline-cap”` property

      “xline-cap”                gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“xline-color”` property

      “xline-color”              gpointer

Flags: Read / Write

### The `“xline-join”` property

      “xline-join”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“xline-style”` property

      “xline-style”              gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“xline-width”` property

      “xline-width”              gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“xstep”` property

      “xstep”                    gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“yerrbar-caps”` property

      “yerrbar-caps”             gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“yerrbar-width”` property

      “yerrbar-width”            gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“yline-cap”` property

      “yline-cap”                gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“yline-color”` property

      “yline-color”              gpointer

Flags: Read / Write

### The `“yline-join”` property

      “yline-join”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“yline-style”` property

      “yline-style”              gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“yline-width”` property

      “yline-width”              gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“ystep”` property

      “ystep”                    gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“zerrbar-caps”` property

      “zerrbar-caps”             gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“zerrbar-width”` property

      “zerrbar-width”            gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“zline-cap”` property

      “zline-cap”                gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“zline-color”` property

      “zline-color”              gpointer

Flags: Read / Write

### The `“zline-join”` property

      “zline-join”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“zline-style”` property

      “zline-style”              gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“zline-width”` property

      “zline-width”              gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“zstep”` property

      “zstep”                    gdouble

Flags: Read / Write

Allowed values: >= 0

Default value: 0

## Signal Details

### The `“add-to-plot”` signal

    gboolean
    user_function (GtkPlotData *plotdata,
                   GtkPlot     *arg1,
                   gpointer     user_data)

#### Parameters

plotdata | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“draw-data”` signal

    void
    user_function (GtkPlotData *plotdata,
                   gpointer     user_data)

#### Parameters

plotdata | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run First

### The `“gradient-changed”` signal

    void
    user_function (GtkPlotData *plotdata,
                   gpointer     user_data)

#### Parameters

plotdata | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“gradient-colors-changed”` signal

    void
    user_function (GtkPlotData *plotdata,
                   gpointer     user_data)

#### Parameters

plotdata | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“update”` signal

    void
    user_function (GtkPlotData *data,
                   gboolean     new_range,
                   gpointer     user_data)

#### Parameters

data | a GtkPlotData widget. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last